# config.mk.  Generated from config.mk.in by configure.
###############################################################################
# BRLTTY - A background process providing access to the console screen (when in
#          text mode) for a blind person using a refreshable braille display.
#
# Copyright (C) 1995-2023 by The BRLTTY Developers.
#
# BRLTTY comes with ABSOLUTELY NO WARRANTY.
#
# This is free software, placed under the terms of the
# GNU Lesser General Public License, as published by the Free Software
# Foundation; either version 2.1 of the License, or (at your option) any
# later version. Please see the file LICENSE-LGPL for details.
#
# Web Page: http://brltty.app/
#
# This software is maintained by Dave Mielke <dave@mielke.cc>.
###############################################################################



BUILD_ALIAS = 
BUILD_SYSTEM = i686-pc-mingw32
BUILD_CPU = i686
BUILD_VENDOR = pc
BUILD_OS = mingw32

HOST_ALIAS = 
HOST_SYSTEM = i686-pc-mingw32
HOST_CPU = i686
HOST_VENDOR = pc
HOST_OS = mingw32

TARGET_ALIAS = 
TARGET_SYSTEM = i686-pc-mingw32
TARGET_CPU = i686
TARGET_VENDOR = pc
TARGET_OS = mingw32

prefix = /
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
includedir = ${prefix}/include
oldincludedir = /usr/include

datarootdir = ${prefix}/share
localedir = ${datarootdir}/locale
mandir = ${datarootdir}/man
infodir = ${datarootdir}/info
datadir = ${datarootdir}

docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
psdir = ${docdir}
pdfdir = ${docdir}
htmldir = ${docdir}
dvidir = ${docdir}

exec_prefix = ${prefix}
bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec

O = o
X = .exe

PACKAGE_NAME = BRLTTY
PACKAGE_VERSION = 6.6
PACKAGE_STRING = BRLTTY 6.6
PACKAGE_TARNAME = brltty
PACKAGE_URL = https://brltty.app/
PACKAGE_BUGREPORT = BRLTTY@brltty.app

PGM_DIR = Programs
HDR_DIR = Headers
DOC_DIR = Documents
MSG_DIR = Messages
TBL_DIR = Tables
BND_DIR = Bindings
BRL_DIR = Drivers/Braille
SPK_DIR = Drivers/Speech
SCR_DIR = Drivers/Screen

DRV_DIR = lib
API_LIBS = -L$(BLD_TOP)$(PGM_DIR) -lbrlapi

INSTALL_ROOT = 
EXECUTE_ROOT = 

PROGRAM_DIRECTORY = ${exec_prefix}/bin
COMMANDS_DIRECTORY = ${exec_prefix}/libexec/brltty
DRIVERS_DIRECTORY = ${exec_prefix}/lib/brltty
UPDATABLE_DIRECTORY = ${prefix}/var/lib/brltty
WRITABLE_DIRECTORY = /run/brltty
TABLES_DIRECTORY = ${prefix}/etc/brltty
MANPAGE_DIRECTORY = ${datarootdir}/man
INCLUDE_DIRECTORY = ${prefix}/include/brltty

MANUAL_DIRECTORIES =  Documents/Manual-BRLTTY/English Documents/Manual-BRLTTY/French Documents/Manual-BrlAPI/English

POLKIT_POLICY_DIR = /usr/share/polkit-1/actions
POLKIT_RULE_DIR = /usr/share/polkit-1/rules.d
SYSTEMD_SYSUSERS_DIR = /usr/lib/sysusers.d
SYSTEMD_TMPFILES_DIR = /usr/lib/tmpfiles.d
SYSTEMD_UNIT_DIR = /usr/lib/systemd/system
SYSTEMD_CONF_DIR = /usr/lib/systemd/system

EXPAT_INCLUDES = 
EXPAT_LIBS = 

ICU_INCLUDES = 
ICU_LIBS = 

LOUIS_INCLUDES = 
LOUIS_LIBS = 

GLIB2_PACKAGE = 
GLIB2_INCLUDES = 
GLIB2_LIBS = 

DBUS_PACKAGE = 
DBUS_INCLUDES = 
DBUS_LIBS = 

POLKIT_PACKAGE = 
POLKIT_INCLUDES = 
POLKIT_LIBS = 

CURSES_PACKAGE = pdcursesw
CURSES_LIBS = -lpdcursesw 

GUI_TOOLKIT_PACKAGE = windows

X11_PACKAGE = 
X11_INCLUDES = 
X11_LIBS = 

XEXT_PACKAGE = 
XEXT_INCLUDES = 
XEXT_LIBS = 

XTST_PACKAGE = 
XTST_INCLUDES = 
XTST_LIBS = 

XT_PACKAGE = 
XT_INCLUDES = 
XT_LIBS = 

XKB_LIBS = 
XTK_LIBS = 
XFIXES_LIBS = 

CSPI_PACKAGE = 
CSPI_INCLUDES = 
CSPI_LIBS = 

ATSPI2_PACKAGE = 
ATSPI2_INCLUDES = 
ATSPI2_LIBS = 

SYSTEM_PACKAGE = windows
SYSTEM_OBJECT = system_$(SYSTEM_PACKAGE)
SYSTEM_OBJECTS = $(SYSTEM_OBJECT).$O $(HOSTCMD_OBJECTS)
SYSTEM_INCLUDES = 
SYSTEM_LIBS = 

PGMPATH_PACKAGE = windows
PGMPATH_OBJECT = pgmpath_$(PGMPATH_PACKAGE)
PGMPATH_OBJECTS = $(PGMPATH_OBJECT).$O
PGMPATH_INCLUDES = 
PGMPATH_LIBS = 

PGMPRIVS_PACKAGE = none
PGMPRIVS_OBJECT = pgmprivs_$(PGMPRIVS_PACKAGE)
PGMPRIVS_OBJECTS = $(PGMPRIVS_OBJECT).$O
PGMPRIVS_INCLUDES = 
PGMPRIVS_LIBS = 

SERVICE_PACKAGE = windows
SERVICE_OBJECT = service_$(SERVICE_PACKAGE)
SERVICE_OBJECTS = $(SERVICE_OBJECT).$O
SERVICE_INCLUDES = 
SERVICE_LIBS = 

PARAMS_PACKAGE = none
PARAMS_OBJECT = params_$(PARAMS_PACKAGE)
PARAMS_OBJECTS = $(PARAMS_OBJECT).$O
PARAMS_INCLUDES = 
PARAMS_LIBS = 

DYNLD_PACKAGE = windows
DYNLD_OBJECT = dynld_$(DYNLD_PACKAGE)
DYNLD_OBJECTS = $(DYNLD_OBJECT).$O
DYNLD_INCLUDES = 
DYNLD_LIBS = 

RGX_PACKAGE = none
RGX_OBJECT = rgx_$(RGX_PACKAGE)
RGX_OBJECTS = rgx.$O $(RGX_OBJECT).$O
RGX_INCLUDES = 
RGX_LIBS = 

CHARSET_PACKAGE = windows
CHARSET_OBJECT = charset_$(CHARSET_PACKAGE)
CHARSET_OBJECTS = charset.$O $(CHARSET_OBJECT).$O
CHARSET_INCLUDES = 
CHARSET_LIBS = 

HOSTCMD_PACKAGE = windows
HOSTCMD_OBJECT = hostcmd_$(HOSTCMD_PACKAGE)
HOSTCMD_OBJECTS = hostcmd.$O $(HOSTCMD_OBJECT).$O
HOSTCMD_INCLUDES = 
HOSTCMD_LIBS = 

MNTPT_PACKAGE = none
MNTPT_OBJECT = mntpt_$(MNTPT_PACKAGE)
MNTPT_OBJECTS = mntpt.$O $(MNTPT_OBJECT).$O
MNTPT_INCLUDES = 
MNTPT_LIBS = 

MNTFS_PACKAGE = none
MNTFS_OBJECT = mntfs_$(MNTFS_PACKAGE)
MNTFS_OBJECTS = $(MNTFS_OBJECT).$O
MNTFS_INCLUDES = 
MNTFS_LIBS = 

KBD_PACKAGE = none
KBD_OBJECT = kbd_$(KBD_PACKAGE)
KBD_OBJECTS = kbd.$O $(KBD_OBJECT).$O
KBD_INCLUDES = 
KBD_LIBS = 

BELL_PACKAGE = none
BELL_OBJECT = bell_$(BELL_PACKAGE)
BELL_OBJECTS = bell.$O $(BELL_OBJECT).$O
BELL_INCLUDES = 
BELL_LIBS = 

LEDS_PACKAGE = none
LEDS_OBJECT = leds_$(LEDS_PACKAGE)
LEDS_OBJECTS = leds.$O $(LEDS_OBJECT).$O
LEDS_INCLUDES = 
LEDS_LIBS = 

BEEP_PACKAGE = windows
BEEP_OBJECT = beep_$(BEEP_PACKAGE)
BEEP_OBJECTS = notes_beep.$O beep.$O $(BEEP_OBJECT).$O
BEEP_INCLUDES = 
BEEP_LIBS = 

PCM_PACKAGE = windows
PCM_OBJECT = pcm_$(PCM_PACKAGE)
PCM_OBJECTS = notes_pcm.$O pcm.$O $(PCM_OBJECT).$O
PCM_INCLUDES = 
PCM_LIBS = 

MIDI_PACKAGE = windows
MIDI_OBJECT = midi_$(MIDI_PACKAGE)
MIDI_OBJECTS = notes_midi.$O midi.$O $(MIDI_OBJECT).$O
MIDI_INCLUDES = 
MIDI_LIBS = 

FM_PACKAGE = adlib
FM_OBJECT = fm_$(FM_PACKAGE)
FM_OBJECTS = notes_fm.$O $(FM_OBJECT).$O
FM_INCLUDES = 
FM_LIBS = 

SERIAL_PACKAGE = windows
SERIAL_OBJECT = serial_$(SERIAL_PACKAGE)
SERIAL_OBJECTS = serial.$O $(SERIAL_OBJECT).$O
SERIAL_INCLUDES = 
SERIAL_LIBS = 

USB_PACKAGE = libusb
USB_OBJECT = usb_$(USB_PACKAGE)
USB_OBJECTS = usb.$O usb_hid.$O usb_devices.$O usb_serial.$O usb_adapters.$O usb_cdc_acm.$O usb_belkin.$O usb_ch341.$O usb_cp2101.$O usb_cp2110.$O usb_ftdi.$O $(USB_OBJECT).$O
USB_INCLUDES = -IC:/MinGW/include 
USB_LIBS = -LC:/MinGW/lib -lusb 

BLUETOOTH_PACKAGE = windows
BLUETOOTH_OBJECT = bluetooth_$(BLUETOOTH_PACKAGE)
BLUETOOTH_OBJECTS = bluetooth.$O bluetooth_names.$O $(BLUETOOTH_OBJECT).$O
BLUETOOTH_INCLUDES = 
BLUETOOTH_LIBS = -lbthprops -lws2_32

HID_PACKAGE = none
HID_OBJECT = hid_$(HID_PACKAGE)
HID_OBJECTS = hid.$O hid_items.$O hid_braille.$O $(HID_OBJECT).$O
HID_INCLUDES = 
HID_LIBS = 

PORTS_PACKAGE = windows
PORTS_OBJECT = ports_$(PORTS_PACKAGE)
PORTS_OBJECTS = $(PORTS_OBJECT).$O
PORTS_INCLUDES = 
PORTS_LIBS = 

FUZZER_LIBS = 

CC = gcc
CPPFLAGS = -I$(BLD_DIR) -I$(SRC_DIR) -I$(BLD_TOP:/=)/$(PGM_DIR) -I$(SRC_TOP:/=)/$(PGM_DIR) -I$(SRC_TOP:/=)/$(HDR_DIR) -I$(BLD_TOP:/=) -I$(SRC_TOP:/=)   -D_XOPEN_SOURCE_EXTENDED -D_GNU_SOURCE -DHAVE_CONFIG_H
CFLAGS = $(CPPFLAGS) -g -O2 -std=gnu99 -Wall -Werror=format-security -Wno-address-of-packed-member -Wno-stringop-truncation
LIBCFLAGS = $(CFLAGS) 

CXX = g++
CXXFLAGS = $(CPPFLAGS) -g -O2 -std=gnu99 -Wall
LIBCXXFLAGS = $(CXXFLAGS) -fPIC

LD = ld
LDFLAGS =  -Wl,--export-all-symbols,--enable-auto-import
LDLIBS = $(ICU_LIBS) $(SYSTEM_LIBS) $(FUZZER_LIBS) -lpthread -liconv -lwinmm -lgdi32 -lws2_32 

MKSHR = $(CC) -shared   -Wl,--export-all-symbols,--enable-auto-import -o
MKREL = $(LD) -r -o
MKLIB = $(CC) $(LDFLAGS) -shared -Wl,--out-implib,implib.a,--output-def,lib.def,-soname,<name> -o

STRIP = strip
RANLIB = ranlib

AWK = gawk
SYMLINK = cp -pR
DOXYGEN = /cygwin/bin/doxygen

PKG_CONFIG = /mingw/bin/pkg-config
MSGMERGE = /mingw/bin/msgmerge
MSGFMT = /mingw/bin/msgfmt

INSTALL = /bin/install -c
INSTALL_SCRIPT = $(INSTALL)
INSTALL_PROGRAM = $(INSTALL_SCRIPT) -s
INSTALL_DATA = $(INSTALL) -m 644
INSTALL_DIRECTORY = $(INSTALL) -d

ARC_PFX = lib
ARC_EXT = a

LIB_PFX = 
LIB_EXT = dll

MOD_NAME = brltty
MOD_EXT = dll

CONFLIBDIR = :
LIB_VAR = LD_LIBRARY_PATH

TEXT_TABLES_SUBDIRECTORY = Text
CONTRACTION_TABLES_SUBDIRECTORY = Contraction
ATTRIBUTES_TABLES_SUBDIRECTORY = Attributes
KEYBOARD_TABLES_SUBDIRECTORY = Keyboard
INPUT_TABLES_SUBDIRECTORY = Input

TEXT_TABLE_EXTENSION = .ttb
TEXT_SUBTABLE_EXTENSION = .tti

CONTRACTION_TABLE_EXTENSION = .ctb
CONTRACTION_SUBTABLE_EXTENSION = .cti

ATTRIBUTES_TABLE_EXTENSION = .atb
ATTRIBUTES_SUBTABLE_EXTENSION = .ati

KEY_TABLE_EXTENSION = .ktb
KEY_SUBTABLE_EXTENSION = .kti
KEY_HELP_EXTENSION = .txt

PROFILES_SUBDIRECTORY = Profiles
LANGUAGE_PROFILE_EXTENSION = .lpf

BRAILLE_DRIVER_CODES = al at ba bc bd bl bm bn cb ce cn dp ec eu fa fs hd hm ht hw ir ic lt mb md mm mn mt np pg pm sk tn ts tt vd vo vr vs xw
BRAILLE_DRIVER_NAMES = Alva Albatross BrlAPI BrailComm Braudi BrailleLite Baum BrailleNote CombiBraille Cebra Canute DotPad EcoBraille EuroBraille FrankAudiodata FreedomScientific Hedo HIMS HandyTech HumanWare Iris Inceptor LogText MultiBraille MDV BrailleMemo MiniBraille Metec NinePoint Pegasus Papenmeier Seika TechniBraille TSI TTY VideoBraille Voyager Virtual VisioBraille XWindow
BRAILLE_INTERNAL_DRIVER_CODES = al at ba bc bd bl bm bn cb ce cn dp ec eu fa fs hd hm ht hw ir ic lt mb md mm mn mt np pg pm sk tn ts tt vd vo vr vs xw
BRAILLE_INTERNAL_DRIVER_NAMES = Alva Albatross BrlAPI BrailComm Braudi BrailleLite Baum BrailleNote CombiBraille Cebra Canute DotPad EcoBraille EuroBraille FrankAudiodata FreedomScientific Hedo HIMS HandyTech HumanWare Iris Inceptor LogText MultiBraille MDV BrailleMemo MiniBraille Metec NinePoint Pegasus Papenmeier Seika TechniBraille TSI TTY VideoBraille Voyager Virtual VisioBraille XWindow
BRAILLE_EXTERNAL_DRIVER_CODES = 
BRAILLE_EXTERNAL_DRIVER_NAMES = 
BRAILLE_DRIVER_OBJECTS = $(BLD_TOP)Drivers/Braille/Alva/braille.$O $(BLD_TOP)Drivers/Braille/Albatross/braille.$O $(BLD_TOP)Drivers/Braille/BrlAPI/braille.$O $(BLD_TOP)Drivers/Braille/BrailComm/braille.$O $(BLD_TOP)Drivers/Braille/Braudi/braille.$O $(BLD_TOP)Drivers/Braille/BrailleLite/braille.$O $(BLD_TOP)Drivers/Braille/Baum/braille.$O $(BLD_TOP)Drivers/Braille/BrailleNote/braille.$O $(BLD_TOP)Drivers/Braille/CombiBraille/braille.$O $(BLD_TOP)Drivers/Braille/Cebra/braille.$O $(BLD_TOP)Drivers/Braille/Canute/braille.$O $(BLD_TOP)Drivers/Braille/DotPad/braille.$O $(BLD_TOP)Drivers/Braille/EcoBraille/braille.$O $(BLD_TOP)Drivers/Braille/EuroBraille/braille.$O $(BLD_TOP)Drivers/Braille/FrankAudiodata/braille.$O $(BLD_TOP)Drivers/Braille/FreedomScientific/braille.$O $(BLD_TOP)Drivers/Braille/Hedo/braille.$O $(BLD_TOP)Drivers/Braille/HIMS/braille.$O $(BLD_TOP)Drivers/Braille/HandyTech/braille.$O $(BLD_TOP)Drivers/Braille/HumanWare/braille.$O $(BLD_TOP)Drivers/Braille/Iris/braille.$O $(BLD_TOP)Drivers/Braille/Inceptor/braille.$O $(BLD_TOP)Drivers/Braille/LogText/braille.$O $(BLD_TOP)Drivers/Braille/MultiBraille/braille.$O $(BLD_TOP)Drivers/Braille/MDV/braille.$O $(BLD_TOP)Drivers/Braille/BrailleMemo/braille.$O $(BLD_TOP)Drivers/Braille/MiniBraille/braille.$O $(BLD_TOP)Drivers/Braille/Metec/braille.$O $(BLD_TOP)Drivers/Braille/NinePoint/braille.$O $(BLD_TOP)Drivers/Braille/Pegasus/braille.$O $(BLD_TOP)Drivers/Braille/Papenmeier/braille.$O $(BLD_TOP)Drivers/Braille/Seika/braille.$O $(BLD_TOP)Drivers/Braille/TechniBraille/braille.$O $(BLD_TOP)Drivers/Braille/TSI/braille.$O $(BLD_TOP)Drivers/Braille/TTY/braille.$O $(BLD_TOP)Drivers/Braille/VideoBraille/braille.$O $(BLD_TOP)Drivers/Braille/Voyager/braille.$O $(BLD_TOP)Drivers/Braille/Virtual/braille.$O $(BLD_TOP)Drivers/Braille/VisioBraille/braille.$O $(BLD_TOP)Drivers/Braille/XWindow/braille.$O
BRAILLE_DRIVER_LIBRARIES = $(API_LIBS) $(CURSES_LIBS) $(XTK_LIBS) $(X11_LIBS)
BRAILLE_DRIVERS = 

SPEECH_DRIVER_CODES = 
SPEECH_DRIVER_NAMES = 
SPEECH_INTERNAL_DRIVER_CODES = 
SPEECH_INTERNAL_DRIVER_NAMES = 
SPEECH_EXTERNAL_DRIVER_CODES = 
SPEECH_EXTERNAL_DRIVER_NAMES = 
SPEECH_DRIVER_OBJECTS = 
SPEECH_DRIVER_LIBRARIES = 
SPEECH_DRIVERS = 

SCREEN_DRIVER_CODES = wn fv
SCREEN_DRIVER_NAMES = Windows FileViewer
SCREEN_INTERNAL_DRIVER_CODES = wn fv
SCREEN_INTERNAL_DRIVER_NAMES = Windows FileViewer
SCREEN_EXTERNAL_DRIVER_CODES = 
SCREEN_EXTERNAL_DRIVER_NAMES = 
SCREEN_DRIVER_OBJECTS = $(BLD_TOP)Drivers/Screen/Windows/screen.$O $(BLD_TOP)Drivers/Screen/FileViewer/screen.$O
SCREEN_DRIVER_LIBRARIES = 
SCREEN_DRIVERS = 

LIBBRAILLE_ROOT = 
ESPEAK_ROOT = 
ESPEAK_NG_ROOT = 
FLITE_ROOT = 
FLITE_LANGUAGE = 
FLITE_LEXICON = 
FLITE_VOICE = 
MIKROPUHE_ROOT = 
SPEECHD_INCLUDES = 
SPEECHD_LIBS = 
SWIFT_ROOT = 
THETA_ROOT = 

INSTALL_TEXT_TABLES = install-text-tables
INSTALL_CONTRACTION_TABLES = install-contraction-tables
INSTALL_ATTRIBUTES_TABLES = install-attributes-tables
INSTALL_DRIVERS = 
INSTALL_MESSAGES = 

TEXT_TABLE = en-nabcc
CONTRACTION_TABLE = none
ATTRIBUTES_TABLE = left_right

CTB_OBJECTS = ctb_compile.$O cldr.$O ctb_translate.$O ctb_native.$O ctb_external.$O
SPEECH_OBJECT = 
XSEL_OBJECT = 

API_VERSION = 0.8
API_RELEASE = 0.8.5
API_SERVER_OBJECTS = brlapi_server.$O brlapi_keyranges.$O auth.$O
API_LIBRARIES = -liconv -lwinmm -lgdi32 -lws2_32 
ALL_API = all-api
BUILD_API = api
INSTALL_API = install-api
API_REF = $(API_LIBS)
API_DYNAMIC_LIBRARY = api-dynamic-library-windows
INSTALL_API_LIBRARIES = install-api-libraries-windows
UNINSTALL_API_LIBRARIES = uninstall-api-libraries-windows
API_AUTHFILE = brlapi.key
API_SOCKET_PATH = \\.\pipe\BrlAPI

API_BINDINGS =  Lisp Python
ALL_API_BINDINGS = all-api-bindings
INSTALL_API_BINDINGS = install-api-bindings

ALL_XBRLAPI = 
INSTALL_XBRLAPI = 

ALL_BRLTTY_PTY = 
INSTALL_BRLTTY_PTY = 

MOUNT_OBJECTS = $(MNTPT_OBJECTS) $(MNTFS_OBJECTS)
GIO_OBJECTS = gio.$O gio_serial.$O gio_usb.$O gio_bluetooth.$O gio_hid.$O gio_null.$O
IO_OBJECTS = io_log.$O $(SERIAL_OBJECTS) $(USB_OBJECTS) $(BLUETOOTH_OBJECTS) $(HID_OBJECTS) $(GIO_OBJECTS) $(MOUNT_OBJECTS)
TUNE_OBJECTS = tune.$O notes.$O $(BEEP_OBJECTS) $(PCM_OBJECTS) $(MIDI_OBJECTS) $(FM_OBJECTS)
ASYNC_OBJECTS = async_handle.$O async_data.$O async_wait.$O async_alarm.$O async_task.$O async_io.$O async_event.$O async_signal.$O thread.$O
BASE_OBJECTS = messages.$O log.$O log_history.$O addresses.$O file.$O device.$O parse.$O variables.$O datafile.$O unicode.$O utf8.$O timing.$O $(ASYNC_OBJECTS) io_misc.$O queue.$O lock.$O $(DYNLD_OBJECTS) $(PORTS_OBJECTS) $(SYSTEM_OBJECTS)
CMDLINE_OBJECTS = cmdline.$O $(PARAMS_OBJECTS)
PROGRAM_OBJECTS = program.$O $(PGMPATH_OBJECTS) pid.$O $(CMDLINE_OBJECTS) $(BASE_OBJECTS)

